Imports System
Imports System.Runtime.InteropServices
Imports System.Security.Permissions
Imports Microsoft.SharePoint
Imports Microsoft.SharePoint.Security

Namespace Features.Feature1
    ''' <summary>
    ''' This class handles events raised during feature activation, deactivation, installation, uninstallation, and upgrade.
    ''' </summary>
    ''' <remarks>
    ''' The GUID attached to this class may be used during packaging and should not be modified.
    ''' </remarks>

    <Guid("00d80ae6-f9c7-44b5-9a7d-781584f43070")> _
    Public Class Feature1EventReceiver
        Inherits SPFeatureReceiver
        ' Uncomment the method below to handle the event raised after a feature has been activated.

        Public Overrides Sub FeatureActivated(ByVal properties As SPFeatureReceiverProperties)
            Dim web = TryCast(properties.Feature.Parent, SPWeb)
            Dim list As SPList
            Dim view As SPView

            list = web.Lists("Tasks")
            view = list.DefaultView
            view.XslLink = "../SPDragAndDrop/UserDragConsumer.xsl"
            view.Update()

            list = web.Lists("Executors")
            view = list.DefaultView
            view.XslLink = "../SPDragAndDrop/UserDragProvider.xsl"
            view.Update()
        End Sub


        ' Uncomment the method below to handle the event raised before a feature is deactivated.

        'public override void FeatureDeactivating(SPFeatureReceiverProperties properties)
        '{
        '}


        ' Uncomment the method below to handle the event raised after a feature has been installed.

        'public override void FeatureInstalled(SPFeatureReceiverProperties properties)
        '{
        '}


        ' Uncomment the method below to handle the event raised before a feature is uninstalled.

        'public override void FeatureUninstalling(SPFeatureReceiverProperties properties)
        '{
        '}

        ' Uncomment the method below to handle the event raised when a feature is upgrading.

        'public override void FeatureUpgrading(SPFeatureReceiverProperties properties, string upgradeActionName, System.Collections.Generic.IDictionary<string, string> parameters)
        '{
        '}
    End Class
End Namespace