﻿/// <reference name="MicrosoftAjax.js" />
/// <reference path="file://C:/Program Files/Common Files/Microsoft Shared/Web Server Extensions/14/TEMPLATE/LAYOUTS/SP.core.debug.js" />
/// <reference path="file://C:/Program Files/Common Files/Microsoft Shared/Web Server Extensions/14/TEMPLATE/LAYOUTS/SP.debug.js" />

function UserDragStart(e, id, element) {
    e.dataTransfer.effectAllowed = 'copy';
    e.dataTransfer.setData('Text', id + '|' + element.innerHTML);
}
function UserDragOver(e, toElement) {
    // denote the ability to drop
    if (e.preventDefault)
        e.preventDefault();

    // highlight the placeholder
    toElement.style.backgroundColor = '#efe';
    //this.className = 'userDragOver';

    e.dataTransfer.dropEffect = 'copy';
    return false;
}
function UserDragLeave(e, toElement) {
    // remove styles
    toElement.style.backgroundColor = '';
    //this.className = '';
}
function UserDrop(e, toElement, listGuid, columnName) {
    // stop the event from further propagation
    if (e.stopPropagation)
        e.stopPropagation();
    // prevent default action
    if (e.preventDefault) 
        e.preventDefault();
    
    // remove styles from the placeholder
    toElement.style.backgroundColor = '';

    // iid attribute is attached to tr element by SharePoint, and contains ID of the current element
    var elementId = toElement.parentNode.getAttribute('iid').split(',')[1];
    
    // transferred data
    var data = e.dataTransfer.getData('Text');
    var userId = data.split('|')[0];
    var userLinkHtml = data.split('|')[1];

    // setting value of the field, using SharePoint EcmaScript Client Object Model
    var ctx = new SP.ClientContext.get_current();
    var list = ctx.get_web().get_lists().getById(listGuid);
    var item = list.getItemById(elementId);
    item.set_item(columnName, userId);
    item.update();

    // asynchronous call
    ctx.executeQueryAsync(
        function () { toElement.innerHTML = userLinkHtml; },
	    function (sender, args) { alert('Drag-and-drop failed.\nMessage: ' + args.get_message() + "\nStackTrace: " + args.get_stackTrace()) }
        );

    return false;
}
